<html><body><div style="color:#000; background-color:#fff; font-family:times new roman, new york, times, serif;font-size:10pt"><div style="font-family: 'times new roman', 'new york', times, serif; font-size: 10pt;">Hi,</div><div style="font-family: 'times new roman', 'new york', times, serif; font-size: 10pt;"><br></div><div style="font-family: 'times new roman', 'new york', times, serif; font-size: 13px; color: rgb(0, 0, 0); background-color: transparent; font-style: normal;">[haskell] seems to work fine with ghc 7.6.1 (the current ghc version in Arch repos) but my first try with [haskell-extra] has choked:</div><div style="font-family: 'times new roman', 'new york', times, serif; font-size: 13px; color: rgb(0, 0, 0); background-color: transparent; font-style: normal;"><br></div><div style="font-family: 'times new roman', 'new york', times, serif; font-size: 13px; color: rgb(0, 0, 0); background-color: transparent; font-style: normal;"><span
 style="font-size: small; background-color: transparent;">sudo pacman -S haskell-safe</span><br></div><div style="background-color: transparent;"><div style="background-color: transparent;"><font face="times new roman, new york, times, serif" size="2">resolving dependencies...</font></div><div style="background-color: transparent;"><font face="times new roman, new york, times, serif" size="2">warning: cannot resolve "ghc=7.4.2-1", a dependency of "haskell-safe"</font></div><div style="background-color: transparent;"><br></div><div style="background-color: transparent; color: rgb(0, 0, 0); font-family: 'Times New Roman'; font-style: normal;"><span style="font-size: 13px;">Actually my sole need is to install hoogle and I am trying to achieve this by using the provided repos. As I quickly realize that manual cabal installs are not a good option, I try to minimize them.</span></div><div style="background-color: transparent; color: rgb(0, 0, 0); font-family:
 'Times New Roman'; font-style: normal; font-size: 13px;"><span style="font-size: 13px;">Here I am just a bit surprised that the first package I try from [haskell-extra] fails because it expects another version of ghc ... Am I missing something or is it "haskell-safe" that should be fixed or removed &nbsp;from the repository ?</span></div><div style="background-color: transparent; color: rgb(0, 0, 0); font-size: 16px; font-family: 'Times New Roman'; font-style: normal;"><br></div><div style="background-color: transparent; color: rgb(0, 0, 0); font-family: 'Times New Roman'; font-style: normal;"><span style="font-size: 13px;">&nbsp;Thanks for your help</span></div><div style="background-color: transparent; color: rgb(0, 0, 0); font-family: 'Times New Roman'; font-style: normal; font-size: 13px;"><span style="font-size: 13px;"><br></span></div><div style="background-color: transparent; color: rgb(0, 0, 0); font-family: 'Times New Roman'; font-style:
 normal; font-size: 13px;"><span style="font-size: 13px;">- PierreR</span></div><div style="color: rgb(0, 0, 0); font-family: 'times new roman', 'new york', times, serif; font-size: 13px; font-style: normal;"><br></div></div><div style="font-family: 'times new roman', 'new york', times, serif; font-size: 13px; color: rgb(0, 0, 0); background-color: transparent; font-style: normal;"><br></div></div></body></html>